View Issue Details

IDProjectCategoryView StatusLast Update
0002887Ham Radio DeluxeMaintenancepublic2018-11-13 00:25
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.902 
Summary0002887: All: SolPos doesn't appear to be used
DescriptionSolPos00.h appears in HRDCommon and Rotator\Sunpos.
SolPos.cpp is in HRDCommon.

But the files don't appear to be used. There only reference to SolPos00.h is in HRDCommon\Sunlight.cpp, but nothing from the header appears to be used.

We should double-check that it is unreferenced and remove it from the code base if it's not needed.
TagsNo tags attached.
Module(select)
Sub-ModuleRotators
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-11-07 21:32

manager   ~0006399

Last edited: 2018-11-07 21:32

View 2 revisions

Removed in this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4412

WA9PIE

2018-11-11 17:31

administrator   ~0006424

Are there steps that testers can take to test this?

K7ZCZ

2018-11-12 15:59

manager   ~0006426

No. This involves removing redundant code from the rpoduct, and ends up not being directly visible to customers.

Issue History

Date Modified Username Field Change
2018-09-09 15:15 K7ZCZ New Issue
2018-11-07 21:32 K7ZCZ Note Added: 0006399
2018-11-07 21:32 K7ZCZ Note Edited: 0006399 View Revisions
2018-11-07 21:34 K7ZCZ Assigned To => K7ZCZ
2018-11-07 21:34 K7ZCZ Status new => resolved
2018-11-07 21:34 K7ZCZ Resolution open => fixed
2018-11-11 14:59 K7ZCZ Fixed in Version => 6.4.0.902
2018-11-11 14:59 K7ZCZ Description Updated View Revisions
2018-11-11 17:31 WA9PIE Note Added: 0006424
2018-11-12 15:59 K7ZCZ Note Added: 0006426
2018-11-13 00:25 WA9PIE Status resolved => closed
2018-11-13 00:25 WA9PIE Testing Not Started => Not Tested
2018-11-13 00:25 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe